<html dir="rtl" lang="fa">
<head>
  <title>آسان پرداخت :: فری پی</title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta charset="utf-8">
  <link href="./assets/bootstrap-3.3.6/dist/css/bootstrap.min.css" rel="stylesheet">
  <link href="./assets/css/style.css" rel="stylesheet">
  <script src="./assets/jquery-1.11.3/jquery.min.js"></script>
  <script src="./assets/bootstrap-3.3.6/dist/js/bootstrap.min.js"></script>
  <script src="./assets/bootstrap-3.3.6/dist/js/validator.js"></script>
  <script>
  $(document).ready(function(){
      $('[data-toggle="tooltip"]').tooltip();
	  $('#refresh-captcha').click(function(){
	      $('#captcha-image').attr('src', './addons/captcha/index.php?' + Math.random());
	  });
	  $('#paymentForm').validator();
  });
  </script>
  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>
</html>

<!-- PHP Codes -->
<?php
    session_start();
	header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');
	header('content-type: text/html; charset=utf-8');
	include_once("./classes/freepay.class.php");
	include("./config.php");
	$fpclient = new freepay();
	
	/*
	 *
	 * FreePay Callback;
	 *
	*/
	$status = array();
	$status['msg'] = 0;
	$status['success'] = false;
	$status['unsuccess'] = false;
	
	if(isset($_POST['amount']) && isset($_POST['captcha'])){
        $parameters = array(
		    'api' => $config['api'],
		    'authority' => (int) $_GET['authority']
	    );
		$res = $fpclient->paymentVerify($parameters);
		if($res->status == 1 && $res->message == 'ok'){
		    $status['msg'] = 1;
			$status['success'] = true;
		}elseif($res->status == 1 && $res->message == 'comit'){

		}else{
		    $status['msg'] = 1;
			$status['unsuccess'] = true;
            $status['message'] = $res->message;
		}
	}
?>
<!-- End of Codes -->

<body>
      <div id="central-container">
	    <center>
		  <div id="freepay-logo"></div>
		</center>
		
		<!-- Errors -->
		<?php if($status['msg']==1){ ?>
		    <?php if($status['success']){ ?>
		        <div class="alert alert-success" style="margin-top: 15px;">
		            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>پرداخت شما با موفقیت صورت گرفت.</strong>
                </div>
			<?php } ?>
		    <?php if($status['unsuccess']){ ?>
		        <div class="alert alert-danger" style="margin-top: 15px;">
		            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong><?php echo $status['message']; ?></strong>
                </div>
			<?php } ?>
		<?php } ?>
		
		<div id="footer">
		    <a href="http://freepay.ir/">سیستم پرداخت اینترنتی فری پی - FreePay ©</a>
		</div>
	  </div>
</body>